Propose an Upgrade Intent
post
/v1/governance/intents/upgrade
Proposes a governance intent to upgrade the specified proxy to a new implementation, identified by its code hash and governed by a deadline under the policy `uuid`.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
async: boolean
Default Value:
false -
deadline(required): integer
(int64)
Future Unix epoch time in seconds.
-
fromAddress(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
implementationCodeHash(required): string
Pattern:
^0x[a-fA-F0-9]{64}$ -
newImplementation(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
proxy(required): string
Pattern:
^0x[a-fA-F0-9]{40}$ -
uuid(required): string
(uuid)
Security
-
bearerAuth: http
Type:
http
Response
200 Response
Transaction receipt confirmed
202 Response
Transaction submitted or receipt not yet available
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.